This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 435154 - RHEL5 fence_apc fails to work on 24 port fence device and success on 16 port.
RHEL5 fence_apc fails to work on 24 port fence device and success on 16 port.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.1
All Linux
medium Severity high
: rc
: ---
Assigned To: Marek Grac
GFS Bugs
: TestBlocker
Depends On:
Blocks: 444615
  Show dependency treegraph
 
Reported: 2008-02-27 12:23 EST by Shane Bradley
Modified: 2010-10-22 18:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:51:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
New fencing agent (2.60 KB, text/x-python)
2008-05-06 12:10 EDT, Marek Grac
no flags Details
New fencing agent (3.28 KB, text/x-python)
2008-05-06 12:12 EDT, Marek Grac
no flags Details
New fencing module needed by fencing agent (8.83 KB, text/x-python)
2008-05-06 12:12 EDT, Marek Grac
no flags Details

  None (edit)
Description Shane Bradley 2008-02-27 12:23:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
Fencing a 24 port APC switch fails. 16 ports works.
The reason that failure occurs is that an unknown screen is encountered.

When using a 24 port APC switch, it will request the user to hit enter
to continue the scrolling of the port lists. The "enter" causing the
script to fail. In a 16 port fence device, this "enter" is not
required and the reason that it works.

The "enter" for complete list needs to be added to the fence_script.

Here is the firmware information for the fence device:
American Power Conversion               Network Management Card AOS      v3.5.7
(c) Copyright 2007 All Rights Reserved  Rack PDU APP                     v3.5.6
-------------------------------------------------------------------------------
Name      : RackPDU                                   Date : 02/27/2008
Contact   : Unknown                                   Time : 11:12:27
Location  : Unknown                                   User : Administrator
Up Time   : 0 Days 0 Hours 36 Minutes                 Stat : P+ N+ A+

Switched Rack PDU: Communication Established
-------------------------------------------------------------------------------

I will attach the log of the failure.

Here is the "enter" screen that is causing the issue:
    19-                          ON
    20-                          ON
    21-                          ON
    22-                          ON
^M        Press <ENTER> to continue...^M                                    ^M    23-                          ON
    24-                          ON
    25- Master Control/Configuration

     <ESC>- Back, <ENTER>- Refresh, <CTRL-L>- Event Log
>




Version-Release number of selected component (if applicable):
cman-2.0.73-1.el5_1.1

How reproducible:
Always


Steps to Reproduce:
1. install cman package on RHEL5 system
2. fence a node on a 24 port fence device:
$ fence_apc -a fencedevicehostname -l apc -p password -n 14 -v


Actual Results:
Fencing fails with error message below:
Traceback (most recent call last):
  File "/sbin/fence_apc", line 829, in ?
    main()
  File "/sbin/fence_apc", line 349, in main
    do_power_off(sock)
  File "/sbin/fence_apc", line 813, in do_power_off
    x = do_power_switch(sock, "off")
  File "/sbin/fence_apc", line 611, in do_power_switch
    result_code, response = power_off(txt + ndbuf)
  File "/sbin/fence_apc", line 817, in power_off
    x = power_switch(buffer, False, "2", "3");
  File "/sbin/fence_apc", line 810, in power_switch
    raise "unknown screen encountered in \n" + str(lines) + "\n"
unknown screen encountered in
['', '> 4', '', '', '------- ib-switch -------------------------------------------------------------', '', '        Name         : ib-switch', '        Outl$




Expected Results:
The machine should be rebooted.


Additional info:
Comment 3 Shane Bradley 2008-02-27 15:41:57 EST
Here is some IT that are same issue, however they are for the perl version of
the script and not the latest version in python.

https://bugzilla.redhat.com/show_bug.cgi?id=185957
https://bugzilla.redhat.com/show_bug.cgi?id=169994
Comment 6 Marek Grac 2008-05-06 11:17:18 EDT
Fixed in master/stable2 branch. 
Comment 7 Marek Grac 2008-05-06 12:10:38 EDT
Created attachment 304649 [details]
New fencing agent
Comment 8 Marek Grac 2008-05-06 12:12:18 EDT
Created attachment 304650 [details]
New fencing agent
Comment 9 Marek Grac 2008-05-06 12:12:38 EDT
Created attachment 304651 [details]
New fencing module needed by fencing agent
Comment 10 Marek Grac 2008-05-20 06:11:30 EDT
New fencing agent is available in RHEL5 branch
Comment 16 errata-xmlrpc 2009-01-20 16:51:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html

Note You need to log in before you can comment on or make changes to this bug.